/*  (C) Copyright 2009-2012 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_BE_H_
#define QMSS_QOS_BE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_be[] =  {
     0x21000300,
     0x80020001,
     0x01060000,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2eff8582,
     0x240140c2,
     0x241000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0xc91fff00,
     0x1f1fffff,
     0x91006985,
     0xc9070530,
     0x240001e6,
     0x69800503,
     0x10c2c2c5,
     0x21003f00,
     0x69810507,
     0x111fc5e0,
     0x5100e003,
     0x240003e6,
     0x21003f00,
     0x10c5c5c2,
     0x21003f00,
     0x69820508,
     0x240000e0,
     0x81002280,
     0x10c5c5e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21003f00,
     0x69830511,
     0x5f08c5f3,
     0x51012504,
     0x51002505,
     0x240004e6,
     0x21003f00,
     0x1ec50202,
     0x21003f00,
     0xc8c50212,
     0x1cc50202,
     0x0903c5e0,
     0x04c5e0e0,
     0x0903e0e0,
     0x0140e0e0,
     0x92e02987,
     0x23014f9e,
     0x21003f00,
     0x69840508,
     0x51012504,
     0x6f0025f1,
     0x1d002222,
     0x21003f00,
     0x24000064,
     0x1f002222,
     0x21003f00,
     0x240002e6,
     0x24000005,
     0x81006985,
     0x24000044,
     0xc8440238,
     0x090344e0,
     0x0444e0e0,
     0x0903e0e0,
     0x0140e0e0,
     0x96e06987,
     0x69074402,
     0xd1002c34,
     0x240000f5,
     0x51000c24,
     0x0904cce0,
     0x90e06780,
     0x00e1f5f5,
     0x51010c20,
     0x09048de0,
     0x90e06780,
     0x00e1f5f5,
     0x51020c1c,
     0x0904cde0,
     0x90e06780,
     0x00e1f5f5,
     0x51030c18,
     0x09048ee0,
     0x90e06780,
     0x00e1f5f5,
     0x51040c14,
     0x0904cee0,
     0x90e06780,
     0x00e1f5f5,
     0x51050c10,
     0x09048fe0,
     0x90e06780,
     0x00e1f5f5,
     0x51060c0c,
     0x0904cfe0,
     0x90e06780,
     0x00e1f5f5,
     0x51070c08,
     0x090490e0,
     0x90e06780,
     0x00e1f5f5,
     0x51080c04,
     0x0904d0e0,
     0x90e06780,
     0x00e1f5f5,
     0x24000124,
     0x24000004,
     0x60f1f516,
     0x24000024,
     0x60f2f514,
     0x24000104,
     0x60f3f512,
     0x24000204,
     0x60f4f510,
     0x24001f04,
     0x21008700,
     0x01014444,
     0x670844c7,
     0x21008500,
     0x00f1e7e7,
     0x18e8e7e7,
     0x10131363,
     0x0904cce0,
     0x90e06780,
     0x18f2e1e1,
     0x04e1f2e9,
     0x2100b100,
     0xcf002289,
     0x21019700,
     0x51000924,
     0x24000052,
     0x10292972,
     0x2301109e,
     0x51010920,
     0x24000152,
     0x10494972,
     0x2301109e,
     0x5102091c,
     0x24000252,
     0x10696972,
     0x2301109e,
     0x51030918,
     0x24000352,
     0x100a0a72,
     0x2301109e,
     0x51040914,
     0x24000452,
     0x102a2a72,
     0x2301109e,
     0x51050910,
     0x24000552,
     0x104a4a72,
     0x2301109e,
     0x5106090c,
     0x24000652,
     0x106a6a72,
     0x2301109e,
     0x51070908,
     0x24000752,
     0x100b0b72,
     0x2301109e,
     0x51080904,
     0x24000852,
     0x102b2b72,
     0x2301109e,
     0x090344e0,
     0x0444e0e0,
     0x0903e0e0,
     0x0140e0e0,
     0x80e02987,
     0x21007a00,
     0x0138c2e0,
     0x0b05e0e0,
     0x0902e0e0,
     0x90e0258a,
     0x5100e920,
     0x110f6ae0,
     0x5100e009,
     0x24000032,
     0x000332e0,
     0x1103e0e0,
     0xd0e06303,
     0x0118e0e0,
     0xd0e0ea13,
     0x01013232,
     0x6f0432fa,
     0x24000032,
     0x002332e0,
     0x1103e0e0,
     0x0104e0e0,
     0xd0e06303,
     0x0118e0e0,
     0xd0e0ea04,
     0x01013232,
     0x6f0432f9,
     0x2100d500,
     0x0120e072,
     0x2300de9e,
     0x002332e1,
     0x1103e123,
     0x6f00e9e7,
     0x2100d500,
     0x0120e072,
     0x2300de9e,
     0x000332e1,
     0x1103e103,
     0x6f00e9e1,
     0x01014343,
     0x11074343,
     0x011843e0,
     0xc8e0ea03,
     0x01384372,
     0x2100fd00,
     0x2401c8e0,
     0x80e02987,
     0x21008500,
     0x090172e0,
     0x0072e0e0,
     0x0903e0e0,
     0x240200e1,
     0x00e1e0f3,
     0x92f3698c,
     0x00c272e0,
     0x0904e0e0,
     0x90e0e694,
     0x5100f412,
     0x00cbf6e1,
     0x60e1e70b,
     0x04e1e7e7,
     0x18e1e9e0,
     0x04e0e9e9,
     0x09048ce0,
     0x0108e0e0,
     0x80e06696,
     0x0101f0f0,
     0x82f3698c,
     0x01013232,
     0x209e0000,
     0x240000e9,
     0x1f1ff6f6,
     0x0108e0e0,
     0x80e06696,
     0x209e0000,
     0x052072e0,
     0x1ce0eaea,
     0x01013232,
     0x209e0000,
     0x090172e0,
     0x0072e0e0,
     0x0903e0e0,
     0x240200e1,
     0x00e1e0f3,
     0x92f3698c,
     0xd71fefd8,
     0x00c272e0,
     0x0904e0e0,
     0x90e0e694,
     0x5100f407,
     0x58f5ef03,
     0x2301379e,
     0x21010400,
     0x1f1ff6f6,
     0x0108e0e0,
     0x80e06696,
     0x82f3698c,
     0x2100db00,
     0x109e9ede,
     0x090172e0,
     0x0072e0e0,
     0x0903e0e0,
     0x240200e1,
     0x00e1e0f3,
     0x92f3698c,
     0xd052cb05,
     0x0824cce0,
     0x0a04e0e0,
     0x00e0eded,
     0x21011d00,
     0x00cceded,
     0x00e7eded,
     0x240000e7,
     0x00c272e0,
     0x0904e0e0,
     0x90e0e694,
     0x5100f40e,
     0x58f6ed04,
     0x58f5ef09,
     0x2301379e,
     0x21011f00,
     0x04f6eded,
     0x09048ce0,
     0x0108e0e0,
     0x80e06696,
     0x0101f0f0,
     0x21011f00,
     0x1f1ff6f6,
     0x0108e0e0,
     0x80e06696,
     0x58edee04,
     0x04eeede7,
     0x10eeeeed,
     0x18e8e7e7,
     0x82f3698c,
     0x10dede9e,
     0x209e0000,
     0x11f01717,
     0xf3007798,
     0x11c078e0,
     0x5100e003,
     0x5180e00e,
     0x21014d00,
     0xd10ffa02,
     0x240000fd,
     0x240000f6,
     0xc90efa02,
     0x1f1ff6f6,
     0x11073a3a,
     0x09049ae0,
     0x0108e0e0,
     0x80e06696,
     0x5100fd07,
     0xf3007d98,
     0x21013f00,
     0x11073a3a,
     0x09049ae0,
     0x010ce0e0,
     0x80e02697,
     0x0101f1f1,
     0x209e0000,
     0x109e9ede,
     0x5100091b,
     0x10292972,
     0x23016d9e,
     0x51010918,
     0x10494972,
     0x23016d9e,
     0x51020915,
     0x10696972,
     0x23016d9e,
     0x51030912,
     0x100a0a72,
     0x23016d9e,
     0x5104090f,
     0x102a2a72,
     0x23016d9e,
     0x5105090c,
     0x104a4a72,
     0x23016d9e,
     0x51060909,
     0x106a6a72,
     0x23016d9e,
     0x51070906,
     0x100b0b72,
     0x23016d9e,
     0x51080903,
     0x102b2b72,
     0x23016d9e,
     0x10dede9e,
     0x209e0000,
     0x090172e0,
     0x0072e0e0,
     0x0903e0e0,
     0x240200e1,
     0x00e1e0e0,
     0x92e0698c,
     0x00c272e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02697,
     0x11f01717,
     0x5100f718,
     0xf3007798,
     0x11c078e0,
     0x5100e003,
     0x5180e00e,
     0x21018e00,
     0xd10ffa02,
     0x240000fd,
     0x240000f6,
     0xc90efa02,
     0x1f1ff6f6,
     0x111f3a3a,
     0x09049ae0,
     0x0108e0e0,
     0x80e06696,
     0x5100fd07,
     0xf3007d98,
     0x21018000,
     0x111f3a3a,
     0x09049ae0,
     0x010ce0e0,
     0x80e02697,
     0x0101f1f1,
     0x21017300,
     0x090172e0,
     0x0072e0e0,
     0x0903e0e0,
     0x240200e1,
     0x00e1e0e0,
     0x82e0698c,
     0x209e0000,
     0x240c00e0,
     0x92e06987,
     0x090487ee,
     0x0b0587e0,
     0x0902e0e0,
     0x90e0258d,
     0x5100472d,
     0xc90bed08,
     0x01b8eee0,
     0x01a0e0e1,
     0x90e0668f,
     0x80e1668f,
     0x05016464,
     0x90e0668f,
     0x6f00f0fd,
     0x51014724,
     0xc90ced08,
     0x01c8eee0,
     0x01a0e0e1,
     0x90e0668f,
     0x80e1668f,
     0x05016464,
     0x90e0668f,
     0x6f00f0fd,
     0x5102471b,
     0xc90ded08,
     0x01d8eee0,
     0x01a0e0e1,
     0x90e0668f,
     0x80e1668f,
     0x05016464,
     0x90e0668f,
     0x6f00f0fd,
     0x51034712,
     0xc90eed08,
     0x01e8eee0,
     0x01a0e0e1,
     0x90e0668f,
     0x80e1668f,
     0x05016464,
     0x90e0668f,
     0x6f00f0fd,
     0x51044709,
     0xc90fed08,
     0x01f8eee0,
     0x01a0e0e1,
     0x90e0668f,
     0x80e1668f,
     0x05016464,
     0x90e0668f,
     0x6f00f0fd,
     0x5100473c,
     0xc906ed0b,
     0x5808640a,
     0x0168eee0,
     0x0904c8e1,
     0x0108e1e1,
     0x90e0668f,
     0x80e1668f,
     0x01016464,
     0x58086403,
     0x90e0668f,
     0x6f00f0fc,
     0x51014730,
     0xc907ed0b,
     0x5809640a,
     0x0178eee0,
     0x0904c9e1,
     0x0108e1e1,
     0x90e0668f,
     0x80e1668f,
     0x01016464,
     0x58096403,
     0x90e0668f,
     0x6f00f0fc,
     0x51024724,
     0xc908ed0b,
     0x580a640a,
     0x0188eee0,
     0x0904cae1,
     0x0108e1e1,
     0x90e0668f,
     0x80e1668f,
     0x01016464,
     0x580a6403,
     0x90e0668f,
     0x6f00f0fc,
     0x51034718,
     0xc909ed0b,
     0x580b640a,
     0x0198eee0,
     0x0904cbe1,
     0x0108e1e1,
     0x90e0668f,
     0x80e1668f,
     0x01016464,
     0x580b6403,
     0x90e0668f,
     0x6f00f0fc,
     0x5104470c,
     0xc90aed0b,
     0x580c640a,
     0x01a8eee0,
     0x0904cce1,
     0x0108e1e1,
     0x90e0668f,
     0x80e1668f,
     0x01016464,
     0x580c6403,
     0x90e0668f,
     0x6f00f0fc,
     0x111feded,
     0x2701ede0,
     0x5120e011,
     0x1ce0eded,
     0x0904e0e0,
     0x0108e0e0,
     0x00eee0e0,
     0x90e0668f,
     0xf1083091,
     0x243fffe1,
     0x10e1f1e1,
     0x0487e1e1,
     0x050be1e1,
     0x5847e102,
     0x05016464,
     0x240100e1,
     0x00e1e0e0,
     0x80e0668f,
     0x21020700,
     0xc9076402,
     0x24000064,
     0x21000e00 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_BE_H_ */

